Subject: [mobile-ip] LLA option in the fast handoffs draft

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 21 Jun 2001 18:13:15 -0700

hi,

I have a question on the Link Layer address option (sec 4.4.2 
in the fast handoffs draft). Shouldnt the length of the option
be in terms of octets and not 8 octets?

Vijay

---

From: Alper Yegin <[email-masked]>
Date: Thu, 28 Jun 2001 17:45:01 -0700 (PDT)

Hmmm, I might have missed something. I'm looking at RFC2461, and I see the 
length of Source/Target Link Layer Address (section 4.6.1) is "in units of
8 octets". I think the assumption is that the the option needs to be at least 8 
byte aligned (of course), and the the recevier can map "Type" field to "exact" 
length of the address (a L2 knowledge).

It looks like I had jumped the gun too quick. What does other authors think?

alper

> To maintain uniformity the length of the IP address option should
> also be in octets. what do you think?
> 
> Vijay
> 
> Alper Yegin wrote:
> > 
> > > hi,
> > >
> > Vijay,
> > Sorry for the late response.
> > 
> > You are right. The length should be octets. Thanks for catching this!
> > 
> > alper

alper